Get topic by ID
curl --request GET \
--url https://mainnet.mirrornode.hedera.com/api/v1/topics/{topicId}import requests
url = "https://mainnet.mirrornode.hedera.com/api/v1/topics/{topicId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mainnet.mirrornode.hedera.com/api/v1/topics/{topicId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mainnet.mirrornode.hedera.com/api/v1/topics/{topicId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mainnet.mirrornode.hedera.com/api/v1/topics/{topicId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mainnet.mirrornode.hedera.com/api/v1/topics/{topicId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mainnet.mirrornode.hedera.com/api/v1/topics/{topicId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"admin_key": {
"_type": "ProtobufEncoded",
"key": "15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743"
},
"auto_renew_account": "0.0.2",
"auto_renew_period": 7776000,
"created_timestamp": "1586567700.453054000",
"custom_fees": {
"created_timestamp": "1586567700.453054000",
"fixed_fees": [
{
"amount": 100,
"collector_account_id": "0.0.2",
"denominating_token_id": "0.0.2"
}
]
},
"deleted": false,
"fee_exempt_key_list": [
{
"_type": "ProtobufEncoded",
"key": "15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743"
}
],
"fee_schedule_key": {
"_type": "ProtobufEncoded",
"key": "15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743"
},
"memo": "topic memo",
"submit_key": {
"_type": "ProtobufEncoded",
"key": "15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743"
},
"timestamp": {
"from": "1586567700.453054000",
"to": "1586567700.453054000"
},
"topic_id": "0.0.2"
}{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}{
"_status": {
"messages": [
{
"message": "Not found"
}
]
}
}Topics
Get topic by ID
Returns the topic details for the given topic ID.
GET
/
api
/
v1
/
topics
/
{topicId}
Get topic by ID
curl --request GET \
--url https://mainnet.mirrornode.hedera.com/api/v1/topics/{topicId}import requests
url = "https://mainnet.mirrornode.hedera.com/api/v1/topics/{topicId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mainnet.mirrornode.hedera.com/api/v1/topics/{topicId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mainnet.mirrornode.hedera.com/api/v1/topics/{topicId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mainnet.mirrornode.hedera.com/api/v1/topics/{topicId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mainnet.mirrornode.hedera.com/api/v1/topics/{topicId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mainnet.mirrornode.hedera.com/api/v1/topics/{topicId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"admin_key": {
"_type": "ProtobufEncoded",
"key": "15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743"
},
"auto_renew_account": "0.0.2",
"auto_renew_period": 7776000,
"created_timestamp": "1586567700.453054000",
"custom_fees": {
"created_timestamp": "1586567700.453054000",
"fixed_fees": [
{
"amount": 100,
"collector_account_id": "0.0.2",
"denominating_token_id": "0.0.2"
}
]
},
"deleted": false,
"fee_exempt_key_list": [
{
"_type": "ProtobufEncoded",
"key": "15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743"
}
],
"fee_schedule_key": {
"_type": "ProtobufEncoded",
"key": "15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743"
},
"memo": "topic memo",
"submit_key": {
"_type": "ProtobufEncoded",
"key": "15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743"
},
"timestamp": {
"from": "1586567700.453054000",
"to": "1586567700.453054000"
},
"topic_id": "0.0.2"
}{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}{
"_status": {
"messages": [
{
"message": "Not found"
}
]
}
}Path Parameters
Response
OK
Was this page helpful?